Project:
RSS

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0009206Multi Theft Auto : San AndreasMulti Theft Auto : San Andreaspublic2016-04-03 22:592017-03-28 22:53
ReporterZ_ReC 
Assigned ToJusonex 
PrioritynoneSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version1.5.4Fixed in Version1.5.4 
Summary0009206: [Request] Sniper resizes the moon [true/false] function
DescriptionA function to cancel resizing the moon sniper shot..
Trivial feature, but interesting!
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0024586)
einheit-101 (reporter)
2016-04-04 08:27
edited on: 2016-04-04 08:27

setWorldSpecialPropertyEnabled ( "snipermoon“, false ) would fit but currently you could reset the size every time local player shoots.

(0025728)
Z_ReC (viewer)
2017-03-20 16:55

I did a little research and I came to a simple conclusion.
This part of assembler code corresponds to the change of size of the moon:

..check camara and others------
0x73ABCF jnz 0x10 (0x73ABE1)
0x73ABD1 mov edx, 0x8D4B60
0x73ABD7 inc edx
0x73ABD8 and edx, 0x7
0x73ABDB mov 0x8D4B60, edx
0x73ABE1 --------more code..


On 0x73ABCF 'jnz' (0x75) is responsible for hitting a jump in case the conditions are not met, now, if we change this instruction by 'jmp' (0xEB) we will be omitting the easter egg regardless of the result.

It work.
(0025779)
Jusonex (administrator)
2017-03-28 22:53

Fixed by Z_ReC in https://github.com/multitheftauto/mtasa-blue/commit/4cefab6ba6ef5e558dfcca4aa3f5548206d9fecb [^]

- Issue History
Date Modified Username Field Change
2016-04-03 22:59 Z_ReC New Issue
2016-04-04 08:27 einheit-101 Note Added: 0024586
2016-04-04 08:27 einheit-101 Note Edited: 0024586 View Revisions
2017-03-20 16:55 Z_ReC Note Added: 0025728
2017-03-28 22:53 Jusonex Note Added: 0025779
2017-03-28 22:53 Jusonex Status new => resolved
2017-03-28 22:53 Jusonex Resolution open => fixed
2017-03-28 22:53 Jusonex Assigned To => Jusonex
2017-03-28 22:53 Jusonex Project New issues => Multi Theft Auto : San Andreas
2017-03-28 22:53 Jusonex Fixed in Version => 1.5.4
2017-03-28 22:53 Jusonex Target Version => 1.5.4


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker